For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • GETGet Project Entity Attributes
      • POSTCreate Project Entity Attribute
      • PUTUpdate Project Entity Attribute
      • DELDelete Project Entity Attribute
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceProject Entity Attributes

Update Project Entity Attribute

Beta
PUT
/v1/projects/:project_id/entities/:project_entity_id/attributes/:attribute_id
PUT
/v1/projects/:project_id/entities/:project_entity_id/attributes/:attribute_id
$curl -X PUT https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "field": "name",
> "value": "updated name",
> "match_resolution": true
>}'
1{
2 "data": {
3 "id": "xG8wYP",
4 "field": "name",
5 "value": "updated name",
6 "match_resolution": true
7 }
8}
Updates a specific attribute for a project entity.
Was this page helpful?
Previous

Delete Project Entity Attribute

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

project_idstringRequired
project_entity_idstringRequired
attribute_idstringRequired

Request

This endpoint expects an object.
fieldstringRequired
valuestringRequired
match_resolutionbooleanRequired

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request
401
Unauthorized
404
Not Found
405
Method Not Allowed
429
Rate Limit Exceeded
500
Internal Server Error